#ifndef CFILECACHE_H
#define CFILECACHE_H

#include <map>
#include <QImage>

class CFileData
{
public:
    CFileData();

    void*   mem;
    size_t  size;
};

class CFileCache
{
public:
    CFileCache();
    virtual ~CFileCache();

    CFileData   getFile(std::string fileName);
    QImage      getImage(std::string fileName);

private:
    std::map<std::string, CFileData>    mCache;
    std::map<std::string, QImage>       mImageCache;
};

extern CFileCache   fileCache;
#endif // CFILECACHE_H
